Name:           libphidget22java
Version:        1.12.20220912
Release:        1%{?dist}
Summary:        Phidget22 JNI Library for Linux

License:        BSD-3-Clause
URL:            https://www.phidgets.com
Source0:        https://www.phidgets.com/downloads/phidget22/libraries/linux/%{name}/%{name}-%{version}.tar.gz

# No java on 32-bit arches.
ExcludeArch:    i686

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libphidget22-devel
BuildRequires:  libusb1-devel

%description
libphidget22java contains JNI interfaces for the phidget22 java library
phidget22.jar.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%{?ldconfig_scriptlets}


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Sep 20 2022 Richard Shaw <hobbes1069@gmail.com> - 1.12.20220912-1
- Update to 1.12.20220912.

* Wed Sep 07 2022 Richard Shaw <hobbes1069@gmail.com> - 1.11.20220822-1
- Initial packaging
